repo/gentoo:master commit in: dev-python/nanobind/

Michał Górny <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1786169235.34b1193c403cc5ecaf15e6adc2cda351bc15f30d.mgorny@gentoo>
commit:     34b1193c403cc5ecaf15e6adc2cda351bc15f30d
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Aug  8 05:29:06 2026 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Aug  8 06:07:15 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=34b1193c

dev-python/nanobind: Bump to 2.14.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/nanobind/Manifest               |  1 +
 dev-python/nanobind/nanobind-2.14.0.ebuild | 63 ++++++++++++++++++++++++++++++
 2 files changed, 64 insertions(+)

diff --git a/dev-python/nanobind/Manifest b/dev-python/nanobind/Manifest
index 0ec1233c6ab2..d466769fa04d 100644
--- a/dev-python/nanobind/Manifest
+++ b/dev-python/nanobind/Manifest
@@ -1,2 +1,3 @@
 DIST nanobind-2.12.0.gh.tar.gz 940575 BLAKE2B 8eee3f682ed9139704946946c3d58fd8c0060634aba382d709802e36a9d9798fd932d8933cce53ef019d9149c422bdee68d5d4664c302c84b102bb9deca9027e SHA512 a187f0efae1833b2caeaff41074a3d8fbd866ee1874aac088ffd5daf026aeaa6a73a8943b682bd39ef59b755e36b73a221eaf71343a28351dce0c8f284debdd9
 DIST nanobind-2.13.0.gh.tar.gz 989569 BLAKE2B a392ea44b8d60f4244374f6e2ade5b6abdd7dd787b0108395149a68890f2eaa25c3e5fe4e0e6fe9ebaf3d0cfa54d86f978ac0a599604cd7d078de3e0912e1038 SHA512 8ab384572d8142b29fdccab2e3693e576cee4cbd6c8d8ac54b3426e45dba6618beb4ccb3e413d41fc405d09935da1fd65f75ef46cf6f78156c2273052fe3e22a
+DIST nanobind-2.14.0.gh.tar.gz 992786 BLAKE2B fd9e67a11b7888ba8db61f3b68891997feda2391d6e6f8e982fa89d040c2c59e1c2b02b27ae0b4dbe7e4c0adf4ff5e20607a60266a2c7358f94e3d74dcb7564a SHA512 da52c51dc7b12623131abb4169fc91b4e8524e1c947348091ea4c6ec57a89d9eeb106db0900a78a7b206001c5eea736618c5416f61f4caf15c8e9d862d27d822

diff --git a/dev-python/nanobind/nanobind-2.14.0.ebuild b/dev-python/nanobind/nanobind-2.14.0.ebuild
new file mode 100644
index 000000000000..ad089660d792
--- /dev/null
+++ b/dev-python/nanobind/nanobind-2.14.0.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=scikit-build-core
+PYTHON_COMPAT=( python3_{12..15} )
+
+inherit cmake distutils-r1
+
+DESCRIPTION="Tiny and efficient C++/Python bindings"
+HOMEPAGE="
+	https://github.com/wjakob/nanobind/
+	https://pypi.org/project/nanobind/
+"
+SRC_URI="
+	https://github.com/wjakob/nanobind/archive/refs/tags/v${PV}.tar.gz
+		-> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~s390 ~x86"
+
+DEPEND="
+	>=dev-cpp/robin-map-1.3.0
+"
+RDEPEND="
+	${DEPEND}
+"
+
+EPYTEST_PLUGINS=()
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+	cmake_src_prepare
+	distutils-r1_src_prepare
+}
+
+src_configure() {
+	# XXX: nanobind installs a CMake config file which by default passes -Os
+	# We currently patch around it in dev-python/pyopencl. In future, we
+	# may want to add some override with Gentoo specific environment vars.
+	DISTUTILS_ARGS=(
+		-DNB_CREATE_INSTALL_RULES=ON
+		-DNB_USE_SUBMODULE_DEPS=OFF
+		-DNB_TEST=OFF
+	)
+}
+
+python_test() {
+	local mycmakeargs=(
+		-DNB_CREATE_INSTALL_RULES=OFF
+		-DNB_USE_SUBMODULE_DEPS=OFF
+		-DNB_TEST=ON
+	)
+	cmake_src_configure
+	cmake_src_compile
+
+	cd "${BUILD_DIR}/tests" || die
+	epytest
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.